/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package shapeUtil;
import java.util.*;
import geomExtension.*;

public class ConnectionEvent extends EventObject {
    //protected String type="";
    //protected ShapeContainer[] shapeContainers=null;
    protected CurvePT curvePT=null;
    
    public ConnectionEvent(Object source, CurvePT curvePT) {
        super(source);
        this.curvePT=curvePT;
    }
/*
    public String getType(){
        return this.type;
    }
    public ShapeContainer[] getSelectedContainers(){
        return this.shapeContainers;
    }
*/
    public CurvePT getCurvePT(){
        return this.curvePT;
    }
}